summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorDieter Plaetinck <dieter@plaetinck.be>2011-01-02 21:24:17 +0100
committerDieter Plaetinck <dieter@plaetinck.be>2011-01-02 21:24:17 +0100
commit7ffab37b45ce6acb6304dcaf0999505ac6d42fe3 (patch)
tree03e2fb1db67be11c2947d671a175d9135727285e /src
parent3334ed8e7cb451b8a007077b84d532838207ed62 (diff)
make target_configure_fstab() properly support devicefiles, labels and uuids
Diffstat (limited to 'src')
-rw-r--r--src/core/libs/lib-blockdevices-filesystems.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/core/libs/lib-blockdevices-filesystems.sh b/src/core/libs/lib-blockdevices-filesystems.sh
index 4457721..8573b19 100644
--- a/src/core/libs/lib-blockdevices-filesystems.sh
+++ b/src/core/libs/lib-blockdevices-filesystems.sh
@@ -359,7 +359,7 @@ mapdev() {
target_configure_fstab()
{
[ -f $TMP_FSTAB ] || return 0 # we can't do anything, but not really a failure
- sed -i 's/^\/dev/#\/dev/g' $var_TARGET_DIR/etc/fstab || return 1
+ sed -i 's!^\(/dev/\|LABEL=\|UUID=\)!#\1!' $var_TARGET_DIR/etc/fstab || return 1
sort $TMP_FSTAB >> $var_TARGET_DIR/etc/fstab || return 1
return 0
}